Skip to main content
POST
/
message
/
sendMedia
/
{instance}
Send Media
curl --request POST \
  --url https://api.botifiy.com/message/sendMedia/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "number": "<string>",
  "mediatype": "<string>",
  "mimetype": "<string>",
  "caption": "<string>",
  "media": "<string>",
  "fileName": "<string>"
}
'
{
  "key": {
    "remoteJid": "<string>",
    "fromMe": true,
    "id": "<string>"
  },
  "message": {
    "imageMessage": {
      "url": "<string>",
      "mimetype": "<string>",
      "caption": "<string>",
      "fileSha256": "<string>",
      "fileLength": "<string>",
      "height": 123,
      "width": 123,
      "mediaKey": "<string>",
      "fileEncSha256": "<string>",
      "directPath": "<string>",
      "mediaKeyTimestamp": "<string>",
      "jpegThumbnail": "<string>",
      "contextInfo": {}
    }
  },
  "messageTimestamp": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.botifiy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Path Parameters

instance
string
required

Name of the instance

Body

application/json
number
string
required

Number to receive the message (with country code)

mediatype
string
required

Type of media (image, video, document)

mimetype
string
required

MIME type of the media

caption
string
required

Caption for the media

media
string
required

Base64-encoded media content or media URL

fileName
string
required

File name for the media

Response

201 - application/json

Created

key
object
message
object
messageTimestamp
string
status
string